cURL
curl --request PATCH \
--url https://us.infisical.com/api/v1/secret-syncs/azure-app-configuration/{syncId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"environment": "<string>",
"secretPath": "<string>",
"isAutoSyncEnabled": true
}
'import requests
url = "https://us.infisical.com/api/v1/secret-syncs/azure-app-configuration/{syncId}"
payload = {
"name": "<string>",
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"environment": "<string>",
"secretPath": "<string>",
"isAutoSyncEnabled": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
connectionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>',
environment: '<string>',
secretPath: '<string>',
isAutoSyncEnabled: true
})
};
fetch('https://us.infisical.com/api/v1/secret-syncs/azure-app-configuration/{syncId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"secretSync": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"projectId": "<string>",
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"syncOptions": {
"keySchema": "<string>",
"disableSecretDeletion": true
},
"connection": {
"app": "azure-app-configuration",
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"environment": {
"slug": "<string>",
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"folder": {
"id": "<string>",
"path": "<string>"
},
"destination": "azure-app-configuration",
"destinationConfig": {
"configurationUrl": "<string>",
"label": "<string>"
},
"description": "<string>",
"isAutoSyncEnabled": true,
"version": 1,
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"syncStatus": "<string>",
"lastSyncJobId": "<string>",
"lastSyncMessage": "<string>",
"lastSyncedAt": "2023-11-07T05:31:56Z",
"importStatus": "<string>",
"lastImportJobId": "<string>",
"lastImportMessage": "<string>",
"lastImportedAt": "2023-11-07T05:31:56Z",
"removeStatus": "<string>",
"lastRemoveJobId": "<string>",
"lastRemoveMessage": "<string>",
"lastRemovedAt": "2023-11-07T05:31:56Z"
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Azure App Configuration
Update
Update the specified Azure App Configuration Sync.
PATCH
/
api
/
v1
/
secret-syncs
/
azure-app-configuration
/
{syncId}
cURL
Path Parameters
The ID of the Azure App Configuration Sync to be updated.
Body
application/json
The updated name of the Azure App Configuration Sync. Must be slug-friendly.
Required string length:
1 - 256The updated ID of the Azure App Configuration Connection to use for syncing.
The updated description of the Azure App Configuration Sync.
Maximum string length:
256The updated slug of the project environment to sync secrets from.
Required string length:
1 - 64The updated folder path to sync secrets from.
Minimum string length:
1Whether secrets should be automatically synced when changes occur at the source location or not.
Optional parameters to modify how secrets are synced.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I